_etmv3_context_t Struct Reference
OpenCSD Library : Trace Packet Types

`#include <trc_pkt_types_etmv3.h>`

## Public Attributes

struct {
uint32_t curr_alt_isa:1
uint32_t curr_NS:1
uint32_t curr_Hyp:1
uint32_t updated:1
uint32_t updated_c:1
uint32_t updated_v:1
}; |
uint32_t | ctxtID
uint8_t | VMID

## Detailed Description

Definition at line 97 of file trc_pkt_types_etmv3.h.

## Member Data Documentation

## @3

struct { ... }

## ctxtID

uint32_t _etmv3_context_t::ctxtID

Context ID

Definition at line 106 of file trc_pkt_types_etmv3.h.

## curr_alt_isa

uint32_t _etmv3_context_t::curr_alt_isa

current Alt ISA flag for Tee / T32 (used if not in present packet)

Definition at line 99 of file trc_pkt_types_etmv3.h.

## curr_Hyp

uint32_t _etmv3_context_t::curr_Hyp

current Hyp flag (used if not in present packet)

Definition at line 101 of file trc_pkt_types_etmv3.h.

## curr_NS

uint32_t _etmv3_context_t::curr_NS

current NS flag (used if not in present packet)

Definition at line 100 of file trc_pkt_types_etmv3.h.

## updated

uint32_t _etmv3_context_t::updated

context updated

Definition at line 102 of file trc_pkt_types_etmv3.h.

## updated_c

uint32_t _etmv3_context_t::updated_c

updated CtxtID

Definition at line 103 of file trc_pkt_types_etmv3.h.

## updated_v

uint32_t _etmv3_context_t::updated_v

updated VMID

Definition at line 104 of file trc_pkt_types_etmv3.h.

## VMID

uint8_t _etmv3_context_t::VMID

VMID

Definition at line 107 of file trc_pkt_types_etmv3.h.

The documentation for this struct was generated from the following file:

- /build/libopencsd-WqHKQU/libopencsd-0.12.2/decoder/include/opencsd/etmv3/trc_pkt_types_etmv3.h